

:root{
	scroll-padding: 100px;
	scroll-behavior: smooth;
}


body
{
	width: 100%;
	background: #fff;
	margin: 0;
	font-family: Tahoma, Verdana, Arial, sans-serif;
}

a:link     { color: #1558d6; }
a:visited	{ color: #1a0dab; }

.header
{
	width: 100%;
	color: #ff5;
	font-size: 28px;
	font-weight: bold;
	
	z-index: 777;
	position: sticky;
	top: 0;
	
	display: flex;
	justify-content: center;
	align-items: center;
	
	/* Comet  http://evankarageorgos.github.io/hue/grid.html */
	background-color: #313131;
	background-image: 
		linear-gradient(0deg, rgba(255,255,255,0.40) 0%, rgba(0,0,0,0.40) 100%),
		radial-gradient(at 0% 20%, rgba(255,255,255,0.30) 0%, rgba(0,0,0,0.30) 75%);
	background-blend-mode: multiply, normal;
}
.header > .title
{
	padding: 20px 20px;
	text-shadow: 0px 0px 3px #000;
}
.header > .back,
.header > .updown
{
	position: absolute;
	font-size: 14px;
	color: #ddd;
	border: 1px solid #ccc;
}
.header > .back
{
	left: 10px;
	
	border-radius: 14px;
	padding: 4px 10px 6px 10px;
}
.header > .updown
{
	right: 14px;
	
	border-radius: 18px;
	padding: 4px 7px;
	
	cursor: grab;  /* カーソルアイコン */
	background-color: #000;
}
.header.close > .updown
{
}
.header > .back > a
{
	color: #ddd;
	text-decoration: none;
}


#copyright
{
	color: #aaa;
	font-size: 14px;
	margin-top: 40px;
	margin-bottom: 50px;
	text-align: center;
}

li > img
{
	vertical-align: bottom;
}
li > a
{
	margin-right:  10px;
}

.text_left,
.text_left > ul,
.text_left > ul > li
{
	text-align: left !important;
}

details:not(.not_common)
{
	background: #fff;
	border: 1px solid #aaa;
	border-radius: 4px;
	padding: 0 0 1em 0;
	box-shadow: 2px 2px 6px #777;
	margin-bottom: 40px;
}
details:not(.not_common) > div
{
	font-size: 16px;
	padding: 0 1em;
	margin-top: 0.5em;
}
details:not(.not_common) table + div
{
	margin: 10px 20px 0 20px;
}
details:not(.not_common) > summary
{
	font-weight: bold;
	margin: 0;
	padding: 0.5em;
	background-color: #ddd;
}
.desc
{
	margin-left: 50px;
}

details:not(.not_common) ul {
	padding-inline-start: 20px;
}
details:not(.not_common) ul li {
	list-style: none;
}
details:not(.not_common) ul li:before {
	content: "●";
	color: #559055;
	margin: 10px 6px;
	font-size: 22px;
}
details:not(.not_common) ol {
	counter-reset:num;
	list-style-type: none!important;
	padding:0;
	margin:0;
}
details:not(.not_common) ol > li {
	position: relative;
	padding-left: 30px;
	line-height: 1.15em;
	padding: 0.5em 0.5em 0.5em 22px;
}
details:not(.not_common) ol > li:before {
	position: absolute;
	counter-increment: num;
	content: counter(num);
	display:inline-block;
	background: #559055;
	color: #FFF;
	font-family: 'Arial',sans-serif;
	font-weight:bold;
	font-size: 14px;
	border-radius: 50%;
	left: 0;
	width:  16px;
	height: 16px;
	line-height: 1.15em;
	top: 9px;
	text-align: center;
}


/***  続きを読む  ***/
/*
<div id="read_more">
	<div>
		本文
	</div>
	<label><input type="checkbox"/>続きを読む</label>
</div>
*/
/*
グラデーションの色を変える場合
<div id="read_more">
	<div style="--grad_color: #RRGGBBAA !important;">
		本文
	</div>
	<label><input type="checkbox"/>続きを読む</label>
</div>
*/
:root {
	--grad_color: #fff;
}
#read_more {
	position: relative;
}
#read_more div {
	position: relative;
	max-height: 100px;
	margin-bottom: 10px;
	overflow: hidden;
	transition: max-height 10s;
}
#read_more:has(:checked) div {
	max-height: 1000vh;
}
#read_more div::after {
	display: block;
	position: absolute;
	left: 0;
	bottom: 0;
	width: 100%;
	height: 60px;
	/*background: linear-gradient(180deg, hsla(0, 0%, 100%, 0) 0, hsla(0, 0%, 100%, .9) 50%, hsla(0, 0%, 100%, .9) 0, var(--grad_color));*/
	background: linear-gradient(180deg, rgb(from var(--grad_color) r g b /  0) 0, rgb(from var(--grad_color) r g b / .9) 50%, rgb(from var(--grad_color) r g b / .9) 0, var(--grad_color));
	content: '';
}
#read_more:has(:checked) div::after {
	content: none;
}
#read_more label {
	display: flex;
	align-items: center;
	gap: 0 4px;
	position: absolute;
	bottom: 0;
	left: 50%;
	transform: translateX(-50%);
	padding: 0.4em 1.2em;
	border-radius: 1px;
	background-color: #2589d0;
	color: #fff;
	font-size: .7em;
}
#read_more label:hover {
    border:1px solid #2589d0;
    background-color: #fff;
    color: #2589d0;
    cursor: pointer;
}
#read_more:has(:checked) label {
    display: none;
}
#read_more label::after {
    display: inline-block;
    width: 10px;
    height: 5px;
    background-color: var(--grad_color);
    clip-path: polygon(0 0, 100% 0, 50% 100%);
    content: '';
}
#read_more label:hover::after{
    background-color: #2589d0;
}
#read_more input {
    display: none;
}
/*#read_more label::before {
    content: '続きを読む';
}*/


.iine_wrapper,
div:has(form > .iine) {
	position: relative;
	/*margin: 30px 0;*/
}
.iine_wrapper_right {
	position: relative;
	height: 24px;
}
.iine_wrapper_right > .iine_wrapper_inner {
	position:absolute;
	right:0;
	width: 50px;
	height: 24px;
}
form:has(.iine) {
	position: absolute;
	bottom: 0px;
	width: 100%;
}
.iine:not(#b00) {
	position: absolute;
	right: 0px;
	bottom: 0px;
}
.iine {
	width: 50px;
	height: 24px;
	color: #777 !important;
	background-color: rgba(1,1,1,0.05);
	background-repeat: no-repeat;
	background-position: 4px 3px;
	background-size: 18px 18px;
	padding: 5px 5px 5px 25px;
	border: 0px solid #000;
	box-shadow: 2px 2px 5px #999;
	cursor: pointer;
}
.iine_wrapper .iine {
	border-radius: 10%;
}
.iine_wrapper_right .iine {
	border-top-left-radius:      10%;
	border-bottom-left-radius: 10%;
}
.iine {
	background-image: url(/image/heart_gray.svg);
}
.iine.is_iine {
	background-image: url(/image/heart.svg);
}

.centered_wrapper {
	position: relative;
	width:  calc(100vw - calc(100vw - 100%));
	height: 95vh;
}
.centered {
	position: absolute;
	top:  50%;
	left: 50%;
	transform: translate(-50%,-50%);
}

